#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	inotify-tools provides a simple interface to inotify
Summary(pl.UTF-8):	inotify-tools dostarcza interfejs do inotify
Name:		inotify-tools
Version:	3.21.9.6
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://github.com/inotify-tools/inotify-tools/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3efaca769f3a720556d1eb8e85ee8277
URL:		https://github.com/inotify-tools/inotify-tools/wiki
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool >= 2:2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
inotify-tools is a C library and a set of command-line programs for
Linux providing a simple interface to inotify. These programs can be
used to monitor and act upon filesystem events. The programs are
written in C and have no dependencies other than a Linux kernel
supporting inotify.

%description -l pl.UTF-8
inotify-tools jest zestawem składającym się z biblioteki C oraz
działających z linii poleceń programów, zapewniających prosty
interfejs do systemu inotify w Linuksie. Programy te mogą służyć do
monitorowania systemu plików jak również do wykonywania operacji na
podstawie zachodzących w systemie plików zdarzeń. Poza obsługą inotify
w jądrze Linuksa nie są wymagane żadne dodatkowe zależności.

%package libs
Summary:	Shared inotify-tools library
Summary(pl.UTF-8):	Biblioteka współdzielona inotify-tools
Group:		Libraries

%description libs
Shared inotify-tools library.

%description libs -l pl.UTF-8
Biblioteka współdzielona inotify-tools.

%package devel
Summary:	Header files for inotify-tools library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki inotify-tools
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for inotify-tools library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki inotify-tools.

%package static
Summary:	Static inotify-tools library
Summary(pl.UTF-8):	Statyczna biblioteka dla inotify-tools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static inotify-tools library.

%description static -l pl.UTF-8
Statyczna biblioteka inotify-tools.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-fanotify \
	--enable-static%{!?with_static_libs:=no} \
	--enable-doxygen
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc in -devel
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/fsnotifywait
%attr(755,root,root) %{_bindir}/fsnotifywatch
%attr(755,root,root) %{_bindir}/inotifywait
%attr(755,root,root) %{_bindir}/inotifywatch
%{_mandir}/man1/fsnotifywait.1*
%{_mandir}/man1/fsnotifywatch.1*
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinotifytools.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinotifytools.so.0

%files devel
%defattr(644,root,root,755)
%doc libinotifytools/src/doc/html/*
%attr(755,root,root) %{_libdir}/libinotifytools.so
%{_libdir}/libinotifytools.la
%{_includedir}/inotifytools

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libinotifytools.a
%endif
%changelog
* Fri Oct 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/inotify-tools.git;a=log;h=master

* Fri Oct 22 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> eaeecf9
- Up to 3.21.9.6.

* Thu Mar 11 2021 Jan Palus <atler@pld-linux.org> ef0a30f
- updated source url

* Thu Mar 11 2021 Jan Palus <atler@pld-linux.org> 5dae1f1
- upstream change adding --include* opts to man page; rel 2

* Tue Nov 17 2020 Jan Palus <atler@pld-linux.org> a08c1bc
- up to 3.20.11.0

* Mon May 18 2020 Jan Palus <atler@pld-linux.org> b8f06f0
- up to 3.20.2.2

* Wed Nov 21 2018 Jakub Bogusz <qboosh@pld-linux.org> b337715
- added download URL

* Sun Sep 09 2018 Jan Palus <atler@pld-linux.org> 810a883
- up to 3.20.1

* Fri Apr 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 04db89d
- fixed docs packaging
- better pl description
- updated BRs
- release 2

* Mon Apr 18 2011 marti <marti@pld-linux.org> f20f0a3
- up to 3.14

* Thu Apr 16 2009 Karol Krenski <charles@pld-linux.org> b9c6402
- regenerate ac/am/lt; updated BRs
- fixed %files and deps
- without static_libs bcond

* Tue Dec 02 2008 Paweł Gołaszewski <blues@pld-linux.org> 6013f10
- rel. 1 - works

* Sat Sep 27 2008 duddits <duddits@pld-linux.org> 3773bf3
- %post/%postun macros added

* Sat Sep 27 2008 duddits <duddits@pld-linux.org> e5d2638
- initial

